<xml> </xml>

db4o |

# ObjectContainer Methods

The methods of the ObjectContainer interface are listed below. For a complete list of ObjectContainer interface members, see the ObjectContainer Members topic.

#### Public Instance Methods

Activate | activates all members on a stored object to the specified depth.
Close | closes this ObjectContainer.
Commit | commits the running transaction.

Deactivate

deactivates a stored object by setting all members to

    NULL

.

Delete | deletes a stored object permanently.
Ext | returns an ObjectContainer with extended functionality.
Get | Query-By-Example interface to retrieve objects.
Query | Overloaded. creates a new SODA Query . Use get for simple Query-By-Example. query are the recommended main db4o query interface.
Rollback | rolls back the running transaction.
Set | newly stores objects or updates stored objects.

#### See Also

ObjectContainer Interface | com.db4o Namespace | ExtObjectContainer for extended functionality.